package betterquesting.commands.admin;

import betterquesting.api.properties.NativeProps;
import betterquesting.api.questing.IQuest;
import betterquesting.api2.storage.DBEntry;
import betterquesting.commands.QuestCommandBase;
import betterquesting.handlers.SaveLoadHandler;
import betterquesting.network.handlers.NetChapterSync;
import betterquesting.network.handlers.NetQuestEdit;
import betterquesting.network.handlers.NetQuestSync;
import betterquesting.questing.QuestDatabase;
import betterquesting.questing.QuestLineDatabase;
import java.util.ArrayList;
import java.util.List;
import net.minecraft.command.CommandBase;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.server.MinecraftServer;
import net.minecraft.util.ChatComponentTranslation;

/* loaded from: betterquesting_commands_admin.jar:betterquesting/commands/admin/QuestCommandDelete.class */
public class QuestCommandDelete extends QuestCommandBase {
    public String getUsageSuffix() {
        return "[all|<quest_id>]";
    }

    public boolean validArgs(String[] args) {
        return args.length == 2;
    }

    public List<String> autoComplete(MinecraftServer server, ICommandSender sender, String[] args) {
        ArrayList<String> list = new ArrayList<>();
        if (args.length == 2) {
            list.add("all");
            for (DBEntry<IQuest> i : QuestDatabase.INSTANCE.getEntries()) {
                list.add("" + i.getID());
            }
        }
        return list;
    }

    public String getCommand() {
        return "delete";
    }

    public void runCommand(MinecraftServer server, CommandBase command, ICommandSender sender, String[] args) {
        if (args[1].equalsIgnoreCase("all")) {
            QuestDatabase.INSTANCE.reset();
            QuestLineDatabase.INSTANCE.reset();
            NetQuestSync.sendSync((EntityPlayerMP) null, (int[]) null, true, true);
            NetChapterSync.sendSync((EntityPlayerMP) null, (int[]) null);
            SaveLoadHandler.INSTANCE.markDirty();
            sender.func_145747_a(new ChatComponentTranslation("betterquesting.cmd.delete.all", new Object[0]));
            return;
        }
        try {
            int id = Integer.parseInt(args[1].trim());
            IQuest quest = (IQuest) QuestDatabase.INSTANCE.getValue(id);
            NetQuestEdit.deleteQuests(new int[]{id});
            sender.func_145747_a(new ChatComponentTranslation("betterquesting.cmd.delete.single", new Object[]{new ChatComponentTranslation((String) quest.getProperty(NativeProps.NAME), new Object[0])}));
            SaveLoadHandler.INSTANCE.markDirty();
        } catch (Exception e) {
            throw getException(command);
        }
    }
}
